module auth.data;

import handy_http_primitives : Optional;
import auth.model;

interface UserRepository {
    Optional!User findByUsername(string username);
    User[] findAll();
    User createUser(string username, string passwordHash);
    void deleteByUsername(string username);
    void updatePasswordHash(User user);
}
